Last Comment Bug 585709 - Several pages related to Accessibility under MDN (MDC) has broken/outdated links or information
: Several pages related to Accessibility under MDN (MDC) has broken/outdated li...
Status: RESOLVED FIXED
u=webdev p=0 c=Accessibility
:
Product: Developer Documentation
Classification: Other
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
https://developer.mozilla.org/en/Acce...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 13:15 PDT by Finn Sørensen
Modified: 2013-06-05 14:48 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Finn Sørensen 2010-08-09 13:15:16 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; da; rv:1.9.2.8) Gecko/20100722 Firefox/3.6.8 (.NET CLR 3.5.30729)
Build Identifier: 

Following Accessibility-related pages on developer.mozilla.org has non-working links or outdated information that should be updated or removed.

1) https://developer.mozilla.org/en/Accessibility_FAQ 

* Link "Firefox's Built-in Accessibility Features" linking to http://accessfirefox.com/FxBuiltInFeatures.html (404) - can link to http://www.accessfirefox.org/Firefox_3_Accessibility_Features.php instead.
* Link "Assistive Technology Compatibility" linking to http://kb.mozillazine.org/Assistive_technology_compatibility VERY outdated - can link to SUMO article http://support.mozilla.com/da/kb/Assistive+technology+compatibility instead.

2) https://developer.mozilla.org/en/Accessibility/XUL

* All links in the "AT API" section are dead and goes to the MDC front page.

3) https://developer.mozilla.org/en/XUL_accessibility_tool

* Link to XPI in section "Availability" points to long-dead xulplanet website.

4) https://developer.mozilla.org/en/XUL_accessibility_guidelines

* Link to "Technology Compatibility" in section "Learn More" > "Accessibility" seems mixed up.

5) http://www.mozilla.org/access/toolkit-checklist

* In section "The Approaches" a link to "XUL" points to long-dead xulplanet website.

6) https://developer.mozilla.org/en/Building_accessible_custom_components_in_XUL

* In section "Introduction" a link to https://developer.mozilla.org/en/Tabbox just goes to MDN front page.
* All following XPI links are (naturally) wildly outdated.
* There are a number of dead XULPlanet links in the rest of the article.
* There are several dead links (ex: http://www.mozilla.org/access/dhtml/#roles ) in the following text which goes to http://wiki.codetalks.org/wiki/index.php/Main_Page - may be best alternative thou.

7) http://www.mozilla.org/access/users

First section states that FF 2 help via F1 key gives "Accessibility Features" help, but in FF 3+ this points to SUMO. Users may find this rather confusing. The following 4 links are all very excellent, but a link to AccessFirefox.com on SUMO would be even more helpful. Also note that besides the linked SUMO article, there are another 3 high quality articles on SUMO: "Accessibility", "New Accessibility features in Firefox 3" and "Firefox 3 with Screen Readers FAQ".

Reproducible: Always

Actual Results:  
(N/A)

Expected Results:  
(N/A)

(N/A)
Comment 1 Trevor 2010-12-18 01:29:51 PST
Have made changes as follows:

1) Verified and fixed

2) Fixed as requested. Note that the documentation for the interfaces does not yet exist.

3) Verified, unable to locate new version of extension

4) Verified and fixed

6) Fixed * In section "Introduction" a link to https://developer.mozilla.org/en/Tabbox just goes to MDN front page.
Comment 2 ghost@ethertank.jp 2013-06-05 14:00:17 PDT
I made ​​the following changes.

https://developer.mozilla.org/en-US/docs/Accessibility/FAQ$compare?to=424965&from=353343

If you don't mind, please close this bug.

Note You need to log in before you can comment on or make changes to this bug.